Subject: Re: bug#50349: [PATCH] packages: Add 'define-package' syntax.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 04 Sep 2021 16:44:49 +0200

Taylan Kammer 写道：
> To me the most obvious thing to do seems
>
>   (define-package foo ...)  ;no explicit name needed
>
> to bind the variable 'foo' and use symbol->string for the name 
> of the
> package, with the possibility to override the name like
>
>   (define-package foo (name "foobar") ...)
>
> which would bind the variable 'foo' to a package named "foobar".

Right, that's what I meant, and it's how I read bug #15284, and it 
looks remarkably like the form I use in my personal channels (and 
I'm sure I'm not the first! :-).

You're much better at the language/implementation side of things 
than I am, Taylan.  Would this negatively affect performance 
(including ‘guix pull’ compilation)?

Kind regards,

T G-R